### Enumeration

# Gtk AccessibleAutocomplete

since: 4.0

#### Declaration

    enum Gtk.AccessibleAutocomplete

#### Description [src]

The possible values for the `GTK_ACCESSIBLE_PROPERTY_AUTOCOMPLETE` accessible property.

Available since: 4.0

#### Members

`GTK_ACCESSIBLE_AUTOCOMPLETE_NONE`

  Automatic suggestions are not displayed.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.0
`GTK_ACCESSIBLE_AUTOCOMPLETE_INLINE`

  When a user is providing input, text suggesting one way to complete the provided input may be dynamically inserted after the caret.

  - Value: `1`
  - Nickname: `inline`
  - Available since: 4.0
`GTK_ACCESSIBLE_AUTOCOMPLETE_LIST`

  When a user is providing input, an element containing a collection of values that could complete the provided input may be displayed.

  - Value: `2`
  - Nickname: `list`
  - Available since: 4.0
`GTK_ACCESSIBLE_AUTOCOMPLETE_BOTH`

  When a user is providing input, an element containing a collection of values that could complete the provided input may be displayed. If displayed, one value in the collection is automatically selected, and the text needed to complete the automatically selected value appears after the caret in the input.

  - Value: `3`
  - Nickname: `both`
  - Available since: 4.0